﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" Title="Tab" AutoEventWireup="true" CodeBehind="TabFeatures.aspx.cs" Inherits="Tabclientside.TabFeatures" %>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<h2>Tab Features:</h2>
<br />
<li> Tab Type - Default</li>
<li> Direction - Top</li>
<li> CloseButton</li>
<li> Theme - Flat-Azure</li>
<br/>
<div id = "ControlRegion">
<div>
     <ej:Tab ID="DefaulttabContent" runat="server" Width="600px" ShowCloseButton="true" HeaderPosition="Top" EnablePersistence="false" EnableTabScroll="false" EnableRTL="false">
        <Items>
            <ej:TabItem Id="steelman" Text="Man of Steel">
                <ContentSection>
                    <table>
                        <tr>
                            <td class="movies-img" valign="top">
                                <img src="../Content/images/tab/mos.png" alt="mos" />
                            </td>
                            <td valign="top">
                                <div>
                                    <span class="movie-header">Man of Steel</span><br />
                                    <span>Movie Info:</span>
                                    <p>
                                        A young boy learns that he has extraordinary powers and is not of this Earth.
                                    </p>
                                </div>
                            </td>
                        </tr>
                    </table>
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="woldwar" Text="World War Z">
                <ContentSection>
                    <table>
                        <tr>
                            <td class="movies-img" valign="top">
                                <img src="../Content/images/tab/wwz.png" alt="mos" />
                            </td>
                            <td valign="top">
                                <div>
                                    <span class="movie-header">World War Z</span><br />
                                    <span>Movie Info:</span>
                                    <p>
                                        The story revolves around United Nations employee Gerry Lane (Pitt).
                                    </p>
                                </div>
                            </td>
                        </tr>
                    </table>
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="university" Text="Monsters University">
                <ContentSection>
                    <table>
                        <tr>
                            <td class="movies-img" valign="top">
                                <img src="../Content/images/tab/mu.png" alt="mos" />
                            </td>
                            <td valign="top">
                                <div>
                                    <span class="movie-header">Monsters University</span><br />
                                    <span>Movie Info:</span>
                                    <p>
                                        Mike Wazowski and James P. Sullivan are an inseparable pair, but that wasn't always the case. 
                                    </p>
                                </div>
                            </td>
                        </tr>
                    </table>
                </ContentSection>
            </ej:TabItem>
        </Items>
    </ej:Tab>
    <ej:Button ID="btn" ClientSideOnClick="tabselect" Text="TabSelection" runat="server"></ej:Button>
    <style type="text/css">
        .movies-img {
            width: 125px;
        }
        .movie-header {
            font-size: 20px;
            font-weight: 600;
        }
    </style>
    <script type="text/javascript">
        function tabselect(args) {
            var inst = $('#<%=DefaulttabContent.ClientID%>').ejTab("instance");
            inst.showItem(2);
        }
    </script>
</div>
</div>
</asp:Content>
